blob: f97d186cde021f1223cc83d8d0f2760f27810ad6 [file] [log] [blame]
Zack Williams11b2e5c2018-05-18 09:50:54 -07001#!/usr/bin/env bash
2
3# Copyright 2017-present Open Networking Foundation
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16
17# ansiblelint.sh - check all yaml files that they pass the ansible-lint tool
18
19set +e -u -o pipefail
20fail_ansible=0
21
22# verify that we have ansible-lint installed
23command -v ansible-lint >/dev/null 2>&1 || { echo "ansible-lint not found, please install it" >&2; exit 1; }
24
25# when not running under Jenkins, use current dir as workspace
26WORKSPACE=${WORKSPACE:-.}
27
28echo "=> Linting Ansible Code with $(ansible-lint --version)"
29
30while IFS= read -r -d '' yf
31do
32 echo "==> CHECKING: ${yf}"
33 ansible-lint -p "${yf}"
34 rc=$?
35 if [[ $rc != 0 ]]; then
36 echo "==> LINTING FAIL: ${yf}"
37 fail_ansible=1
38 fi
39done < <(find "${WORKSPACE}" \( -name "*.yml" -o -name "*.yaml" \) -print0)
40
41exit ${fail_ansible}